Bug 588478 - Unable to print to HP CM1312: failing pstoraster
Summary: Unable to print to HP CM1312: failing pstoraster
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript   
(Show other bugs)
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-03 19:10 UTC by Peter Åstrand
Modified: 2010-06-28 15:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 15:44:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
troubleshoot.txt (309.10 KB, text/plain)
2010-05-03 19:11 UTC, Peter Åstrand
no flags Details

Description Peter Åstrand 2010-05-03 19:10:31 UTC
Description of problem:

My CM1312nfi printer was working fine until last week. Now, on most prints, the generated data file is zero bytes. The printer starts blinking, but eventually discards the job. The CUPS log says:

'D [03/May/2010:21:02:53 +0200] [Job 124] prtGeneralCurrentLocalization type is 0, expected 2!',
'D [03/May/2010:21:02:53 +0200] [Job 124] lpd_command 02 lp',
'D [03/May/2010:21:02:53 +0200] [Job 124] Sending command string (4 bytes)...',
'D [03/May/2010:21:02:53 +0200] [Job 124] Reading command status...',
'D [03/May/2010:21:02:53 +0200] [Job 124] lpd_command returning 0',


Version-Release number of selected component (if applicable):
hplip-3.10.2-4.fc11.i586

Comment 1 Peter Åstrand 2010-05-03 19:11:31 UTC
Created attachment 411097 [details]
troubleshoot.txt

Comment 2 Tim Waugh 2010-05-11 12:05:37 UTC
The actual problem here is that pstoraster (ghostscript) is failing to convert the job to CUPS raster format:

D [03/May/2010:21:02:49 +0200] [Job 124] Error: /limitcheck in --%op_show_continue--
D [03/May/2010:21:02:49 +0200] [Job 124] Operand stack:
D [03/May/2010:21:02:49 +0200] [Job 124]
D [03/May/2010:21:02:49 +0200] [Job 124] Execution stack:
D [03/May/2010:21:02:49 +0200] [Job 124] %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1878   1   3   %oparray_pop   1877   1   3   %oparray_pop   1861   1   3   %oparray_pop   1755   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--
D [03/May/2010:21:02:49 +0200] [Job 124] Dictionary stack:
D [03/May/2010:21:02:49 +0200] [Job 124] --dict:1164/1684(ro)(G)--   --dict:0/20(G)--   --dict:82/200(L)--
D [03/May/2010:21:02:49 +0200] [Job 124] Current allocation mode is local
D [03/May/2010:21:02:49 +0200] [Job 124] Last OS error: 2
D [03/May/2010:21:02:49 +0200] [Job 124] GPL Ghostscript 8.71: Unrecoverable error, exit code 1

Not entirely sure why that is.  That causes the hpcups filter to fail just because it has no input file to read:

D [03/May/2010:21:02:49 +0200] [Job 124] prnt/hpcups/HPCupsFilter.cpp 485: cupsRasterOpen failed, fd = 0
D [03/May/2010:21:02:49 +0200] PID 6389 (/usr/lib/cups/filter/hpcups) stopped with status 1!

Later, the SNMP support in CUPS just notes an oddity in the printer's Printer MIB support:

D [03/May/2010:21:02:53 +0200] [Job 124] prtGeneralCurrentLocalization type is 0, expected 2!

That part is harmless.

So the real question is why the pstoraster filter failed.

Will need to try to reproduce this and find out what's going on.

Comment 4 Bug Zapper 2010-06-28 15:44:16 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.